Anaconda Enterprise: Documentation

# conda convert

    CONDA(1)                         User Commands                        CONDA(1)

## NAME

           conda - conda convert

## DESCRIPTION

           usage: conda-convert [-h]

           [-p
           {osx-64,linux-32,linux-64,linux-ppc64le,linux-armv6l,linux-armv7l,linux-aarch64,win-32,win-64,all}]
                  [--dependencies      [DEPENDENCIES      [DEPENDENCIES     ...]]]
                  [--show-imports] [-f]  [-o  OUTPUT_DIR]  [-v]  [--dry-run]  [-q]
                  files [files ...]

           Various  tools  to  convert conda packages. Takes a pure Python package
           build for one platform and converts it to work on  one  or  more  other
           platforms, or all.

## OPTIONS

       positional arguments:
           files  Package files to convert.

       optional arguments:
           -h, --help
                  Show this help message and exit.

           -p
           {osx-64,linux-32,linux-64,linux-ppc64le,linux-armv6l,linux-armv7l,linux-aarch64,win-32,win-64,all},
           --platform
           {osx-64,linux-32,linux-64,linux-ppc64le,linux-armv6l,linux-armv7l,linux-aarch64,win-32,win-64,all}
                  Platform to convert the packages to.

           --dependencies  [DEPENDENCIES  [DEPENDENCIES  ...]],  -d  [DEPENDENCIES
           [DEPENDENCIES ...]]
                  Additional  (besides python) dependencies of the converted pack-
                  age. To specify a version restriction for a dependency, wrap the
                  dependency in quotes, like 'package >=2.0'.

           --show-imports
                  Show Python imports for compiled parts of the package.

           -f, --force
                  Force convert, even when a package has compiled C extensions.

           -o OUTPUT_DIR, --output-dir OUTPUT_DIR
                  Directory  to write the output files. The packages will be orga-
                  nized   in   platform/   subdirectories,   e.g.,    win-32/pack-
                  age-1.0-py27_0.tar.bz2.

           -v, --verbose
                  Print verbose output.

           --dry-run
                  Only display what would have been done.

           -q, --quiet
                  Don't print as much output.

           Tool to convert packages

           conda convert converts pure Python packages to other platforms.

           Packages  are  automatically  organized  in subdirectories according to
           platform, e.g.,

           osx-64/

                  package-1.0-py33.tar.bz2

           win-32/

                  package-1.0-py33.tar.bz2

## EXAMPLES

           Convert a package built with conda build to Windows 64-bit,  and  place
           the  resulting  package  in  the current directory (supposing a default
           Anaconda install on Mac OS X):

                  conda convert package-1.0-py33.tar.bz2 -p win-64

    Continuum Analytics              November 2017                        CONDA(1)